Subject: Re: bug#75939: setting $MSYS2_ARG_CONV_EXCL in compile script?

From: Bruno Haible <[email-masked]>
Date: Mon, 03 Feb 2025 13:22:18 +0100

Kirill Makurin wrote:
> The installer from https://osdn.net/projects/mingw/ is the same as
> found in https://sourceforge.net/projects/mingw/ (except for possible
> difference in versions) and the Wikipedia article points to the former
> website (mingw.org website is no longer alive). This installer provides
> both `mingw-*` (gcc, binutils) and `msys-*` (bash, autotools, etc.)
> packages. I am using its `msys.bat` to start the shell.

Ok, I see. So, the web site of the original MinGW at some point started
to distribute a mix between MinGW and MSYS. And in this case
  `uname -s` is MINGW*,
  $MSYSTEM is non-empty,
  cygpath is not present.

The proposed code will then branch into this statement:

              # Original MinGW environment.
              file_conv=mingw

> I tested updated patches and they work for both Msys2 and *MinGW*. For completeness, I also tried using it from Cygwin and it works as expected.

Thank you. Karl, the three patches from the preceding mail are ready
to commit.

Bruno